﻿;;;-*- Mode: Lisp; Package: "CINV-MUL-41" -*-
;;;===============================================================================
;;;10/05/29
;;;                           AGENT CINV-MUL-41
;;;
;;;===============================================================================

#|
2009
 0606 prefixing agent names with CIT-
 0730 replacing environment in skills
2010 upgraded to OMAS v8 
|#

(defpackage :CINV-MUL-41 (:use :cl #+MCL :ccl :moss :omas))
(in-package :CINV-MUL-41)

(omas::defagent :CINV-MUL-41 :redefine t)

;;; =============================== skill section ==============================

(defskill :multiply :CINV-MUL-41
  :static-fcn static-multiply
  :preconditions static-multiply-preconditions
  )

(defun static-multiply (agent message n1 n2)
  (declare (ignore message))
  (sleep (1+ (random 2)))
  (static-exit agent (* n1 n2)))

(defun static-multiply-preconditions (agent message n1 n2)
  (declare (ignore  agent message))
  (if (or (> n1 1000)(> n2 1000))
    (progn
      (format t "~& **** CINV-MUL-41 can't compute args too big ~S, ~S" n1 n2)
      nil)
    t))

:EOF