﻿;;;-*- Mode: Lisp; Package: "CINVESTAV" -*-
;;;===============================================================================
;;;12/09/17
;;;                           AGENT POSTMAN :CINVESTAV
;;;
;;; Postman to transfer messages from :CINVESTAV to remote OMAS platforms
;;;===============================================================================

;;; the postman is only valid for ACL
;;; Note that sites protected by a firewall should specify the GLOBAL IP in the 
;;; send message, NOT the IP of the physical machine that sends the message.

#|
2010
 0529 rewritten for OMAS v8
2012
 0917 rewritten adding parameters to the postman definition
|#

(defpackage :CINVESTAV (:use :cl :moss :omas))
(in-package :CINVESTAV)

;;;===============================================================================
;;;                              Creating postman
;;;===============================================================================

(omas::defpostman :CINVESTAV 
              :site :CINVESTAV
			;:external-ip ?  ; necessary if there is a firewall
			:server t
			:known-postmen ((:CIT nil "219.166.183.59" :TCP :CIT)
                               (:UTC "nat-omas.utc.fr" "195.83.154.22" :TCP :UTC)
			                 (:TECPAR nil "200.183.132.15" :TCP :TECPAR))
			;:proxy ?  ; necessary if there is a firewall
			)

;;;===============================================================================
;;;                                    SKILLS 
;;;===============================================================================

;;; use default skills

:EOF