﻿;;;-*- Mode: Lisp; Package: "OMAS" -*-
;;;===============================================================================
;;;10/02/19
;;;                F A C - A G E N T S (file :CINVESTAV-FAC:agents.lisp)
;;;
;;;                copyright JP BArthes @UTC, 2003-2010
;;;===============================================================================

#| This file contains the name of the agents that must be loaded into the local 
coterie. It is called when OMAS is initialized (v7 and above)
2004
 0228 First definition
      This file should contain a list with some variables to be used to initialize
      some functions, and some variables describing the environment that must be
      initialized when all the functions have been loaded.
2008
 1013 adding CIT and TECPAR postmen
2009
 0211 adding CINVESTAV
|#
(in-package :omas)

;;; the global variable is defined in the OMAS load file
(setq *local-coterie-agents* 
      '(:CINV-MUL-41 :CINV-MUL-42 :CINV-FAC-41 :CINVESTAV))

:EOF