﻿;;;-*- Mode: Lisp; Package: "CIT-MUL-5" -*-
;;;===============================================================================
;;;10/05/19
;;;                           AGENT CIT-MUL-5
;;;
;;;===============================================================================

#|
2009
 0606 prefixing agent names with CIT-
 0730 replacing environment in skills
2010
 0519 updating to version 8.0 
|#

;;; define name in the loading environment, so that it can be used without prefix,
;;; export it to the agent package

(defpackage :CIT-MUL-5 (:use :moss :omas :cl #+MCL :ccl))
(in-package :CIT-MUL-5)

(omas::defagent :CIT-MUL-5 :redefine t)

;;; =============================== skill section ==============================

(defskill :multiply :CIT-MUL-5
  :static-fcn static-multiply
  :preconditions static-multiply-preconditions
  )

(defun static-multiply (agent message n1 n2)
  (declare (ignore message))
  (sleep (1+ (random 2)))
  (static-exit agent (* n1 n2)))

(defun static-multiply-preconditions (agent message n1 n2)
  (declare (ignore  agent message))
  (if (or (> n1 1000)(> n2 1000))
    (progn
      (format t "~& **** CIT-MUL-5 can't compute args too big ~S, ~S" n1 n2)
      nil)
    t))

:ENV

;;; ================================= environment ==============================

:EOF