﻿;;;===============================================================================
;;;11/04/04
;;;                F A C - A G E N T S (file :CIT-KENJI:agents.lisp)
;;;
;;;                copyright JP Barthès @UTC, 2008-2011
;;;
;;;===============================================================================

#| This file contains the name of the agents that must be loaded into the local 
coterie. It is called when OMAS is initialized (v5 and above)
2004
 0228 First definition
      This file should contain a list with some variables to be used to initialize
      some functions, and some variables describing the environment that must be
      initialized when all the functions have been loaded.
2008
 1013 copied from previous file adapted to CIT
2009
 0606 :MUL-5 -> :CIT-MUL-5, etc.
 0802 adding TYLER and staff
2011
 0404 adding ORIBE, fusing ADDRESS agent into CIT-ADDRESS
|#
(in-package :omas)

;;; the global variable is defined in the OMAS load file
(setq *local-coterie-agents* 
      ;'(:CIT-MUL-5 :CIT-MUL-6 :CIT-FAC-3 :CIT-MOTHER :CIT :TYLER :TYL-ADDRESS))
      '(:CIT :TYLER :ORIBE :CIT-ADDRESS))

:EOF