﻿;;;-*- Mode: Lisp; Package: "CU-MUL-1" -*-
;;;===============================================================================
;;;10/05/29
;;;                           AGENT CU-MUL-1
;;;
;;;===============================================================================

#|
2012
 0212 creation 
|#

(defpackage :CU-MUL-1 (:use :cl #+MCL :ccl :moss :omas))
(in-package :CU-MUL-1)

(omas::defagent :CU-MUL-1 :redefine t)

;;; =============================== skill section ==============================

(defskill :multiply :CU-MUL-1
  :static-fcn static-multiply
  :preconditions static-multiply-preconditions
  )

(defun static-multiply (agent message n1 n2)
  (declare (ignore message))
  (sleep (1+ (random 2)))
  (static-exit agent (* n1 n2)))

(defun static-multiply-preconditions (agent message n1 n2)
  (declare (ignore  agent message))
  (if (or (> n1 1000)(> n2 1000))
    (progn
      (format t "~& **** CU-MUL-1 can't compute args too big ~S, ~S" n1 n2)
      nil)
    t))

:EOF